#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 3
%define framework breeze

Summary:        Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Name:           %framework
Version: 5.8.6
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{version}/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros
BuildRequires:  kde4-macros

BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  ki18n-devel
BuildRequires:  kcompletion-devel
BuildRequires:  frameworkintegration-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kdecoration-devel
BuildRequires:  kcmutils-devel
BuildRequires:  plasma-framework-devel

# OPTIONAL packages
BuildRequires:  cmake(KF5Wayland)

BuildRequires:  cmake(LibKWorkspace)

Requires:       %{name}-common = %{version}-%{release}

Provides:       plasma-style-breeze = %version-%release

%description
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.

%files  -f breeze_style_config.lang
%_kf5_bindir/breeze-settings5
%_kf5_iconsdir/breeze_cursors
%_kf5_iconsdir/Breeze_Snow
%_kf5_iconsdir/hicolor/scalable/apps/breeze-settings.svgz
%_kf5_libdir/kconf_update_bin/kde4breeze
%_kf5_qmldir/QtQuick/Controls/Styles/Breeze
%_kf5_datadir/kconf_update/kde4breeze.upd
%_kf5_datadir/kstyle/themes/breeze.themerc
%_qt5_plugindir/kstyle_breeze_config.so
%_qt5_plugindir/styles/breeze.so
%_qt5_plugindir/org.kde.kdecoration2/breezedecoration.so
%_kf5_services/breezedecorationconfig.desktop
%_kf5_services/breezestyleconfig.desktop
%_kf5_datadir/plasma/look-and-feel/org.kde.breezedark.desktop
%_kf5_appdatadir/*.xml

#--------------------------------------------------------------------

%package -n     kde4-style-breeze
Summary:        KDE 4 version of Plasma 5 artwork, style and assets
BuildRequires:  kdelibs4-devel
BuildRequires:  pkgconfig(xcb)
Requires:       %{name}-common = %{version}-%{release}

%description -n kde4-style-breeze
%{summary}.

%files -n kde4-style-breeze
%{_kde_libdir}/kde4/plugins/styles/breeze.so
%{_kde_libdir}/kde4/kstyle_breeze_config.so
%{_kde_appsdir}/kstyle/themes/breeze.themerc
%{_qt4_plugindir}/styles/breeze.so

#--------------------------------------------------------------------

%package        common
Summary:        Common files shared between KDE 4 and Plasma 5 versions of the Breeze style
Group:          System/Base
BuildArch:      noarch

%description    common
%{summary}.

%files common 
%{_datadir}/color-schemes/*.colors
%{_datadir}/QtCurve/Breeze.qtcurve
%{_datadir}/wallpapers/Next

#--------------------------------------------------------------------

%define breeze_devel %mklibname breeze -d

%package -n %breeze_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}

Provides:       %name-devel = %{version}-%{release}

%description -n %breeze_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %breeze_devel
%_kf5_libdir/cmake/Breeze

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build
cd ..

mkdir build-kde4
pushd build-kde4
%cmake_kde4 -DUSE_KDE4=TRUE ../.. 
%make_build
popd


%install
%make_install -C build
%make_install -C build-kde4/build

%find_lang --all breeze_style_config

# needed for pure Qt4 apps
mkdir -p %{buildroot}%{_qt4_plugindir}/styles
ln -s %{_kde_plugindir}/styles/breeze.so %{buildroot}%{_qt4_plugindir}/styles


%changelog
* Tue Mar 14 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1092555
- Add provides for plasma style (mga#19272)

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089693
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089011
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078146
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070703
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065122
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064463
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063034
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060259
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057585
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1053219
- Build appdata files

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053041
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052667
- New version 5.7.5

* Sat Sep 10 2016 daviddavid <daviddavid> 5.7.4-3.mga6
+ Revision: 1051384
- create a breeze.so symlink so that Qt4 apps can also benefit of breeze theme

* Sat Aug 27 2016 daviddavid <daviddavid> 5.7.4-2.mga6
+ Revision: 1049286
- enable KF5Wayland support

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048328
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044256
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042544
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041381
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039558
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021854
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014525
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009262
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999246
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998001
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994556
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987000
- Rebuild against kf5 5.20.0

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 985497
- New version 5.5.95

* Mon Feb 22 2016 neoclust <neoclust> 5.5.4-2.mga6
+ Revision: 975959
- Rebuild because of missing signature

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927957
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922494
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914831
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913631
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910676
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908837
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904390
- New version 5.4.95

* Fri Nov 13 2015 neoclust <neoclust> 5.4.90-4.mga6
+ Revision: 903009
- Requires common rpm

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 900881
- Rebuild against fixed qtbase5
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889505
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874720
- New version 5.4.1

* Sun Aug 30 2015 filipesaraiva <filipesaraiva> 5.4.0-1.mga6
+ Revision: 871267
- Fix source url;
- Update to breeze 5.4.0 version

  + neoclust <neoclust>
    - New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863530
- New version 5.3.95

* Fri Jul 17 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 854961
- New version 5.3.2
- New version 5.3.1

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804154
- New version

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 749197
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 678217
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662151
- New version 5.0.1

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653439
- imported package breeze

